-- $Header:   //ARCHIVE/PVCSROOT/Archive_NLS/db/sql/BusinessObject.sqv   1.94.1.11   Apr 01 2001 17:43:16   BRENT  $/Archive/BusinessObject.sqv   1.0   Feb 27 2001 07:19:28   BRENT  $
USE Object
GO
SET NOCOUNT ON
GO
SET LANGUAGE 'English'
GO
IF NOT EXISTS (SELECT * FROM tempdb..sysobjects WHERE type = 'U' AND name = N'##MetaDatabaseVersion')
BEGIN
  EXEC("
  CREATE TABLE ##MetaDatabaseVersion ( verno INT )
  ")
END
GO
TRUNCATE TABLE ##MetaDatabaseVersion
INSERT INTO ##MetaDatabaseVersion SELECT verno FROM Meta..DatabaseVersion
GO

  


-- BEGIN_MENUS
  DECLARE
    @current_menu_name      sysname,
    @current_menu_obj_cid   ClassID,
    @current_menu_obj_id    ObjID,
    @parent_menu_name       sysname,
    @parent_menu_obj_cid    ClassID,
    @parent_menu_obj_id     ObjID,
    @ret                    INT,
    @parent_id              INT,
    @prev_id                INT

  
  -- MENU_ITEM(NAME=CHANGE_View, CID=MNO2, ID=0, LABEL='&Change Request...', FLAGS=0x00000004|(0x10000000|0x20000000|0x40000000), ACTION='TBSMChange.ctlTBSMChange View', SECURITY_KEY='', PREVIOUS_ID='MNO2/0/NoteSummary', OVERRIDE_ID='')
  SELECT @current_menu_name = N'CHANGE_View', @current_menu_obj_cid = N'MNO2', @current_menu_obj_id = 0
  SELECT @parent_menu_name = N'', @parent_menu_obj_cid = N'', @parent_menu_obj_id = 0
  SELECT @parent_id = id FROM MenuItem WHERE name = @parent_menu_name AND obj_cid = @parent_menu_obj_cid AND obj_id = @parent_menu_obj_id
  IF @@ROWCOUNT = 0 SELECT @parent_id = NULL
  
  EXEC asisp_lookupmenuitem 'MNO2/0/NoteSummary', @prev_id OUT, @parent_id OUT

  EXEC @ret = asisp_definemenuitem
    @name         = @current_menu_name,
    @obj_cid      = @current_menu_obj_cid,
    @obj_id       = @current_menu_obj_id,
    @label        = '&Change Request...',
    @parent_id    = @parent_id,
    @prev_id      = @prev_id,
    @flags        = 1879048196,
    @control_id   = 'TBSMChange.ctlTBSMChange View',
    @security     = '',
    @override     = ''
  IF @ret > 0
    SELECT @prev_id = @ret
  ELSE
    SELECT @prev_id = NULL

  
  -- MENU_ITEM(NAME=CHANGE_Insert, CID=MNO2, ID=0, LABEL='&Change Request...', FLAGS=0x00000004|(0x10000000|0x20000000|0x40000000), ACTION='TBSMChange.ctlTBSMChange Insert', SECURITY_KEY='', PREVIOUS_ID='MNO2/0/Note', OVERRIDE_ID='')
  SELECT @current_menu_name = N'CHANGE_Insert', @current_menu_obj_cid = N'MNO2', @current_menu_obj_id = 0
  SELECT @parent_menu_name = N'', @parent_menu_obj_cid = N'', @parent_menu_obj_id = 0
  SELECT @parent_id = id FROM MenuItem WHERE name = @parent_menu_name AND obj_cid = @parent_menu_obj_cid AND obj_id = @parent_menu_obj_id
  IF @@ROWCOUNT = 0 SELECT @parent_id = NULL
  
  EXEC asisp_lookupmenuitem 'MNO2/0/Note', @prev_id OUT, @parent_id OUT

  EXEC @ret = asisp_definemenuitem
    @name         = @current_menu_name,
    @obj_cid      = @current_menu_obj_cid,
    @obj_id       = @current_menu_obj_id,
    @label        = '&Change Request...',
    @parent_id    = @parent_id,
    @prev_id      = @prev_id,
    @flags        = 1879048196,
    @control_id   = 'TBSMChange.ctlTBSMChange Insert',
    @security     = '',
    @override     = ''
  IF @ret > 0
    SELECT @prev_id = @ret
  ELSE
    SELECT @prev_id = NULL


  UPDATE MenuItemVersion SET verno = verno + 1
GO
-- END_MENUS
