-- $Header:   //ARCHIVE/Archive_NLS/DB/SQL/DEFECT_74836.sqv   1.0   May 01 2001 17:56:18   BRENT  $
--
-- DEFECT_74836.sql
--
-- Module Description
--   Fix for defect 74836: 

USE Object
GO


INSERT INTO link(src_cid, src_id, dst_cid, dst_id, link_type, ctime) 
  SELECT 'STCR', i.src_id, 'PRMX', i.dst_id, 'D2LG', i.ctime
  FROM STCR_PRMX_D2LG AS i
  WHERE NOT EXISTS
  (
    SELECT * FROM link AS l 
    WHERE l.src_cid='STCR' AND l.src_id=i.src_id AND l.dst_cid='PRMX' AND l.dst_id=i.dst_id AND l.link_type='D2LG'
  )
