-- $Header:   //ARCHIVE/PVCSROOT/Archive_NLS/Db/Sql/MonitoredQueueTable.sqv   1.0   Jul 23 2001 16:27:54   Forthman  $
-- MonitoredQueueTable.sql
-- 
-- Module Definition
--   Defines the MonitoredQueueTable table

Use Object
GO
------------------------------------------------------------------------------------
-- MonitoredQueueTable
PRINT 'Create table MonitoredQueueTable'
GO

IF EXISTS ( SELECT * FROM sysobjects WHERE name = 'MonitoredQueueTable' AND type = 'U' )
  DROP TABLE MonitoredQueueTable
GO

-- $Archive:   //ARCHIVE/PVCSROOT/Archive_NLS/Db/Sql/MonitoredQueueTable.sqv  $
-- $Revision:   1.0  $
-- $Date:   Jul 23 2001 16:27:54  $
-- $Author:   Forthman  $
-- This creates the table defintion for MonitoredQueueTable 
--   This tables holds the queue name and the commad to dump the queue
--   It is used by the Health Monitor 

CREATE TABLE MonitoredQueueTable
  (
    command sysname,
    queuename sysname
  )

GO