-- $Header:   //ARCHIVE/Archive_NLS/DB/sql/RepairEnumNames.sqv   1.0   Jul 22 2001 10:58:34   BRENT  $
--
-- RepairEnumNames.sql
--
-- Module Description
--   Changes the value in the 'name' column for some enumeration values.  This will prevent NetviewAndTNG.sqi failing if applied over itself or a previous version

DECLARE @eid INT

IF EXISTS (SELECT * FROM enumeration WHERE name = N'ComponentSecondaryType')
BEGIN
  SELECT @eid = eid FROM enumeration WHERE name = N'ComponentSecondaryType'
  IF EXISTS (SELECT * FROM enum_value WHERE eid = @eid AND name = N'350Diskette')
  BEGIN
    PRINT 'Renaming 350Diskette'
    UPDATE Meta..enum_value_table_BASE
    SET name = N'_350Diskette'
    WHERE eid = @eid AND name = N'350Diskette'
  END
  IF EXISTS (SELECT * FROM enum_value WHERE eid = @eid AND name = N'525Diskette')
  BEGIN
    PRINT 'Renaming 525Diskette'
    UPDATE Meta..enum_value_table_BASE
    SET name = N'_525Diskette'
    WHERE eid = @eid AND name = N'525Diskette'
  END
  IF EXISTS (SELECT * FROM enum_value WHERE eid = @eid AND name = N'8MM')
  BEGIN
    PRINT 'Renaming 8MM'
    UPDATE Meta..enum_value_table_BASE
    SET name = N'_8MM'
    WHERE eid = @eid AND name = N'8MM'
  END
  IF EXISTS (SELECT * FROM enum_value WHERE eid = @eid AND name = N'4MM')
  BEGIN
    PRINT 'Renaming 4MM'
    UPDATE Meta..enum_value_table_BASE
    SET name = N'_4MM'
    WHERE eid = @eid AND name = N'4MM'
  END
END