-- $Header:   //ARCHIVE/PVCSROOT/Archive_NLS/Db/Sql/asisp_CreateQueueTable.sqv   1.0   Jul 23 2001 16:28:58   Forthman  $
-- asisp_CreateQueueTable.sql
-- 
-- Module Definition
--   Defines the asisp_CreateQueueTable stored procedure

Use Object
GO
------------------------------------------------------------------------------------
-- asisp_CreateQueueTable
PRINT 'Create procedure asisp_CreateQueueTable'
GO

IF EXISTS ( SELECT * FROM sysobjects WHERE name = 'asisp_CreateQueueTable' AND type = 'P' )
  DROP PROCEDURE asisp_CreateQueueTable
GO

-- $Archive:   //ARCHIVE/PVCSROOT/Archive_NLS/Db/Sql/asisp_CreateQueueTable.sqv  $
-- $Revision:   1.0  $
-- $Date:   Jul 23 2001 16:28:58  $
-- $Author:   Forthman  $
-- This procedure repopulates the MonitoredQueueTable with data so that the user may
-- monitor whatever Queues they wish.
CREATE PROCEDURE asisp_CreateQueueTable

AS

  DELETE MonitoredQueueTable
  INSERT INTO MonitoredQueueTable
  ( 
     command,
     queuename
  )
  SELECT name, SUBSTRING(name, 11, len(name)-15) FROM sysobjects WHERE name like 'asisp_dump%Queue'
GO   

