PRINT 'Creating procedure cl_processLinkRules'
GO

IF EXISTS(SELECT * FROM sysobjects WHERE type='P' AND name='cl_processLinkRules')
  DROP PROCEDURE cl_processLinkRules
GO

CREATE PROCEDURE cl_processLinkRules
AS  
  RAISERROR('cl_processLinkRules: ', 0, 1)

  DECLARE @cid ClassID, @time DATETIME
  WHILE EXISTS (SELECT * FROM CL_ModifiedClasses) BEGIN
    SELECT @cid=cid, @time=time FROM CL_ModifiedClasses ORDER BY time DESC

    EXEC cl_processContdRules @cid, @time
    DELETE FROM CL_ModifiedClasses WHERE cid=@cid
  END
