PRINT 'Creating cl_validCID'
GO

IF EXISTS(SELECT * FROM sysobjects WHERE type='P' AND name='cl_validCID')
  DROP PROCEDURE cl_validCID
GO

CREATE PROCEDURE cl_validCID
@cid NVARCHAR(255)
AS
  RAISERROR('cl_validCID: @cid=%s', 0, 1, @cid)
  
  IF EXISTS (SELECT * FROM obj_class WHERE cid=@cid)
    RETURN 0

  RETURN -1
