SET QUOTED_IDENTIFIER  OFF    SET ANSI_NULLS  ON 
GO

/****** Object:  Stored Procedure dbo.gemsp_processAPMConnectionChangeMsg    Script Date: 03/22/2001 8:23:14 AM ******/
if exists (select * from sysobjects where id = object_id(N'[dbo].[gemsp_processAPMConnectionChangeMsg]') and OBJECTPROPERTY(id, N'IsProcedure') = 1)
drop procedure [dbo].[gemsp_processAPMConnectionChangeMsg]
GO




CREATE PROCEDURE gemsp_processAPMConnectionChangeMsg
		@class  NVARCHAR(128)='',
		@hostname  NVARCHAR(128)='',
		@origin NVARCHAR(255)='',
		@suborigin NVARCHAR(255)='',
		@source NVARCHAR(128)='',
		@subsource NVARCHAR(128)='',
		@relationship NVARCHAR(128)='',
		@direction NVARCHAR(2),
		@remote_source NVARCHAR(128)='',
		@remote_subsource NVARCHAR(128)='',
		@remote_origin NVARCHAR(255)='',
		@remote_suborigin NVARCHAR(255)='',
		@remote_hostname NVARCHAR(128)='',
		@change_type NVARCHAR(2)='',
                @eventtime int=0
as

DECLARE @disposition NVARCHAR(128)
SELECT @disposition = 'testing'

IF NOT EXISTS (SELECT * FROM sysobjects WHERE type = 'U' AND name = 'GEM_APMCCMsgs')
  CREATE TABLE GEM_APMCCMsgs(
    class  NVARCHAR(255) NULL,
    hostname  NVARCHAR(255) NULL,
    origin NVARCHAR(255) NULL,
    suborigin NVARCHAR(255) NULL,
    source NVARCHAR(255) NULL,
    subsource NVARCHAR(255) NULL,
    relationship NVARCHAR(128) NULL,
    direction NVARCHAR(2) NULL,
    remote_source NVARCHAR(128) NULL,
    remote_subsource NVARCHAR(128) NULL,
    remote_origin NVARCHAR(255) NULL,
    remote_suborigin NVARCHAR(255) NULL,
    remote_hostname NVARCHAR(128) NULL,
    change_type NVARCHAR(2) NULL,
    disposition NVARCHAR(255) NULL,
    eventtime int NULL,                		
    time DATETIME NULL)

IF EXISTS (SELECT * FROM sysobjects WHERE type = 'U' AND name = 'GEM_Options')
  IF EXISTS (SELECT * FROM GEM_Options WHERE _Option = 'trace events' AND _Value = 'yes') BEGIN
    INSERT INTO GEM_APMCCMsgs (class, hostname, origin, suborigin, source, subsource, relationship, direction,
                               remote_source, remote_subsource, remote_origin, remote_suborigin, remote_hostname,
                               change_type, disposition, eventtime, time) 
  
      VALUES (@class, 
	@hostname ,
	@origin,
	@suborigin,
	@source,
	@subsource,
	@relationship,
	@direction,
	@remote_source,
	@remote_subsource,
        @remote_origin,
	@remote_suborigin,
	@remote_hostname,
	@change_type,
        @disposition,
        @eventtime,
	getdate()
		)
  END


GO

SET QUOTED_IDENTIFIER  OFF    SET ANSI_NULLS  ON 
GO

