@echo OFF
rem ---- customize the following -----
set JAVADIR=f:/ibm/java13/jre

rem ---- internal settings ----
set ARGUM=%3
IF NOT DEFINED ARGUM goto usage
set TEMPCLASSPATH=.;adapter.jar;scaffold.jar;MQeGateway.jar;jlog.jar;xerces.jar;ASICLTest.jar

rem -------- running --------
@echo OFF
if "%1"=="EVENT" goto event
if "%1"=="event" goto event
if "%1"=="DELTA" goto delta
if "%1"=="delta" goto delta
if "%1"=="DELTADELETE" goto deltadelete
if "%1"=="deltadelete" goto deltadelete
if "%1"=="DELTAMODIFY" goto deltamodify
if "%1"=="deltamodify" goto deltamodify
if "%1"=="DELTALINK" goto deltalink
if "%1"=="deltalink" goto deltalink
if "%1"=="DELTALINKDELETE" goto deltalinkdelete
if "%1"=="deltalinkdelete" goto deltalinkdelete
if "%1"=="BULK" goto bulk
if "%1"=="bulk" goto bulk
if "%1"=="BULKLINK" goto bulklink
if "%1"=="bulklink" goto bulklink
if "%1"=="LOGGING" goto tngbulk
if "%1"=="logging" goto tngbulk
goto usage

:usage
echo "usage:"
echo "runtest ACTION propFileName XML_filename [ XML_filename, ... ]"
echo ""
echo " ACTION is one of the following:"
echo ""
echo "  EVENT           The XML file contains <event> XML data"
echo "  BULK            The XML file contains <addObjectInstance> XML data"
echo "  BULKLINK        The XML file contains <addLinkInstance> XML data"
echo "  DELTA           The XML file contains <addObjectInstance> XML data"
echo "  DELTADELETE     The XML file contains <deleteObjectInstance> XML data"
echo "  DELTAMODIFY     The XML file contains <modifyObjectInstance> XML data"
echo "  DELTALINK       The XML file contains <addLinkInstance> XML data"
echo "  DELTALNIKDELETE The XML file contains <deleteLinkInstance> XML data"
echo "  LOGGING         The XML file was produced by instrumentation in logging mode"
echo ""
echo " propFileName    The properties file."
echo ""
echo " XML_filename    One or more XML files can be specified."
goto end

:event
"%JAVADIR%/bin/java" -classpath "%TEMPCLASSPATH%" com.tivoli.tbsm.commonlistener.test.ASITestEvent %2 %3 %4 %5 %6 %7 %8 %9
goto end

:delta
"%JAVADIR%/bin/java" -classpath "%TEMPCLASSPATH%" com.tivoli.tbsm.commonlistener.test.ASITestDelta %2 %3 %4 %5 %6 %7 %8 %9
goto end

:deltadelete
"%JAVADIR%/bin/java" -classpath "%TEMPCLASSPATH%" com.tivoli.tbsm.commonlistener.test.ASITestDeltaDelete %2 %3 %4 %5 %6 %7 %8 %9
goto end

:deltamodify
"%JAVADIR%/bin/java" -classpath "%TEMPCLASSPATH%" com.tivoli.tbsm.commonlistener.test.ASITestDeltaModify %2 %3 %4 %5 %6 %7 %8 %9
goto end

:deltalink
"%JAVADIR%/bin/java" -classpath "%TEMPCLASSPATH%" com.tivoli.tbsm.commonlistener.test.ASITestDeltaLink %2 %3 %4 %5 %6 %7 %8 %9
goto end

:deltalinkdelete
"%JAVADIR%/bin/java" -classpath "%TEMPCLASSPATH%" com.tivoli.tbsm.commonlistener.test.ASITestDeltaLinkDelete %2 %3 %4 %5 %6 %7 %8 %9
goto end

:bulk
"%JAVADIR%/bin/java" -classpath "%TEMPCLASSPATH%" com.tivoli.tbsm.commonlistener.test.ASITestBulk %2 %3 %4 %5 %6 %7 %8 %9
goto end

:bulklink
"%JAVADIR%/bin/java" -classpath "%TEMPCLASSPATH%" com.tivoli.tbsm.commonlistener.test.ASITestBulkLink %2 %3 %4 %5 %6 %7 %8 %9
goto end

:tngbulk
"%JAVADIR%/bin/java" -classpath "%TEMPCLASSPATH%" com.tivoli.tbsm.commonlistener.test.ASITestDump %2 %3 %4 %5 %6 %7 %8 %9
goto end

@echo off

rem -------- cleaning --------
:end
set TEMPCLASSPATH=
set JAVADIR=
set ARGUM=
