@echo off

REM ---------------------------------------------------------------------------
REM The following line sets an environment variable which specifies the root
REM directory where Java is installed.

SET TEMP_JVM_ROOT=g:\jdk
SET TEMP_DAEMON_ROOT=g:\icatjava\daemon
SET TEMP_APP_DIR=d:\sample

REM ---------------------------------------------------------------------------
REM The following line sets an environment variable which is required to run
REM Java.

SET PATH=%TEMP_JVM_ROOT%\jre\bin;%TEMP_JVM_ROOT%\bin;%PATH%

REM ---------------------------------------------------------------------------
REM The following lines set environment variables for
REM debugging with the 1.3 JVM.

SET CLASSPATH=%CLASSPATH%;%TEMP_JVM_ROOT%\jre\lib\rt.jar
SET CLASSPATH=%CLASSPATH%;%TEMP_JVM_ROOT%\jre\lib\i18n.jar
SET CLASSPATH=%CLASSPATH%;%TEMP_JVM_ROOT%\jre\lib\jaws.jar
SET CLASSPATH=%CLASSPATH%;%TEMP_JVM_ROOT%\lib\tools.jar

REM ---------------------------------------------------------------------------
REM  The CLASSPATH must include javaprob.zip for the daemon to work properly.
REM  It is also a good practice to ensure that the JVM's zip/jar files are
REM  included as part of the CLASSPATH.  We include the application subdir
REM  to show you that all of your target testcases must be part of the
REM  CLASSPATH for the daemon to find them.

SET CLASSPATH=%CLASSPATH%;%TEMP_DAEMON_ROOT%\jprobe2.zip;%TEMP_APP_DIR%

REM ---------------------------------------------------------------------------
REM  The PATH must include jvt5jul.dll for the daemon to work properly.  We
REM  include the sample subdir here to show you that a target test case that
REM  invokes native methods must have its dlls in the PATH, too.
REM
REM  Note that native-method debugging with ICAT is not in plan for WindowsNT
REM  currently.

SET PATH=%PATH%;%TEMP_DAEMON_ROOT%;%TEMP_APP_DIR%

REM ---------------------------------------------------------------------------
REM Cleanup.

SET TEMP_JVM_ROOT=
SET TEMP_DAEMON_ROOT=
SET TEMP_APP_DIR=

@echo on

