-- $Header:   //ARCHIVE/Archive_NLS/DB/SQL/DEFECT_78940.sqv   1.1   Jul 24 2001 15:56:58   BRENT  $
--
-- DEFECT_78940.sql
--
-- Module Description
--   Defines the menu items on the MADR class necessary to implement the Delete
--   and Reclassify functions for Uncategorized MVS Resources in the new console

USE Object
GO

EXEC	asisp_definemenuitem
	  @name	= 'Delete',
	  @obj_cid	= 'MADR',
	  @obj_id	= 0,
	  @label	= '&Delete...	Del',
	  @parent_id	= 0,
	  @prev_id	= 0,
	  @flags	= 0x70000010,
	  @control_id	= 'OnDeleteMADR',
	  @security	= 'object_delete',
	  @override	= ''

EXEC  	asisp_definemenuitem
	  @name	= 'Reclassify',
	  @obj_cid	= 'MADR',
	  @obj_id	= 0,
	  @label	= '&Reclassify',
	  @parent_id	= 0,
	  @prev_id	= 0,
	  @flags	= 0x70000004,
	  @control_id	= 'ReclassifyMADR',
	  @security	= 'object_modify',
	  @override	= ''

