-- $Header:   //ARCHIVE/Archive_NLS/DB/SQL/DEFECT_79057.sqv   1.1   Jul 17 2001 17:17:14   BRENT  $
--
-- DEFECT_79057.sql
--
-- Module Description
--   Part of resolution for defect 79057:
--     OPC plan load takes too long, causes blocking

USE Object
GO


-- Create index on the _ParentCID, _ParentID columns of BATCH_C to speed up updates
IF NOT EXISTS (SELECT * FROM sysindexes WHERE name = 'BATCH_ParentCID_ParentID_id')
BEGIN
  PRINT 'Creating unique index on BATCH_C(_ParentCID, _ParentID, id)'
  CREATE UNIQUE INDEX BATCH_ParentCID_ParentID_id ON BATCH_C (_ParentCID, _ParentID, id)
END
GO
