-- $Header:   //ARCHIVE/Archive_NLS/DB/SQL/RepairBatchView.sqv   1.0   Jul 24 2001 10:27:20   BRENT  $
--
-- RepairBatchView.sql
--
-- Module Description:
--   Adds cid column to view BATCH_V


USE Object
GO

ALTER VIEW BATCH_V AS
  SELECT a.cid, a.id, a.name, a.revision, a.nchild, a.description, a.ctime, a.mtime, a.userid, a.deleted,
    _CurrEstComplete,
    _CurrEstDuration,
    _CurrEstStart,
    _DailyOverrideDuration,
    _DailyOverrideStartTime,
    _Duration,
    _EveryInterval,
    _GoodRuns,
    _ImmedOverrideDuration,
    _ImmedOverrideStartTime,
    _InitEstComplete,
    _InitiatingPriority,
    _KeyStatus,
    _MedianDuration,
    _MedianStartTime,
    _MedianStopTime,
    _OPCOpInstanceNo,
    _OPCOpNum,
    _OPCWorkstationId,
    _SchedDuration,
    _SchedStartTime,
    _SchedStatusFlags,
    _SchedStopTime,
    _StartTime,
    _StopTime,
    _TerminatingPriority,
    _TotalRuns,
    _ParentCID,
    _ParentID,
    _ConsoleTrapStatus,
    _DISCOVERY_IND,
    _MONITOR_LEVEL,
    _SCHED_PACK,
    _SysplexResource,
    _AlertState='GENC/STCR-1/ALRS-' + convert(varchar(9), _AlertStateID) + '/T/Desc',
    _AlertStateID,
    _ChildEventMatrix='ACPX/BATC-'+CONVERT(NVARCHAR(9),a.id)+'/PRMX-' + convert(varchar(9), _ChildEventMatrixID) + '/T',
    _ChildEventMatrixID,
    _ChildEvents='ATRC/BATC-'+CONVERT(NVARCHAR(9),a.id)+'/CHEV',
    _CurrentState='BATC/STCR-1/STTP-' + convert(varchar(9), _CurrentStateID) + '/T/State',
    _CurrentStateID,
    _DesiredState='BATC/STCR-1/STTP-' + convert(varchar(9), _DesiredStateID) + '/T/State',
    _DesiredStateID,
    _ExceptionMatrix='AEPX/BATC-'+CONVERT(NVARCHAR(9),a.id)+'/PRMX-' + convert(varchar(9), _ExceptionMatrixID) + '/T',
    _ExceptionMatrixID,
    _ExceptionTypes='ATRC/BATC-'+CONVERT(NVARCHAR(9),a.id)+'/EXTP',
    _Exceptions='ATRC/BATC-'+CONVERT(NVARCHAR(9),a.id)+'/EXCP',
    _MessageDescriptions='ATRC/BATC-'+CONVERT(NVARCHAR(9),a.id)+'/MSGD',
    _Messages='ATRC/BATC-'+CONVERT(NVARCHAR(9),a.id)+'/MESG',
    _Notes='ATRC/BATC-'+CONVERT(NVARCHAR(9),a.id)+'/NOTE',
    _Priority='GENC/STCR-1/OPRI-' + convert(varchar(9), _PriorityID) + '/T/Priority',
    _PriorityID,
    _flags,
    _Desc = description,
    _HasOwnershipNote
from
  BATCH_C a
GO

