-- $Header:   //Archive/Pvcsroot/Archive_NLS/Db/Sql/asisp_IMSUpdatePath.sqv   1.0   Jul 24 2001 16:13:46   Forthman  $
--
-- asisp_IMSUpdatePath
--
-- Module Description
--   Defines the asisp_IMSUpdatePath stored PROCEDURE

USE Object
GO

--------------------------------------------------------------------------------------------------
-- asisp_fullpath
PRINT 'Creating PROCEDURE asisp_IMSUpdatePath'
GO

IF EXISTS ( SELECT * FROM sysobjects WHERE name = 'asisp_IMSUpdatePath' AND type = 'P')
  DROP PROCEDURE asisp_IMSUpdatePath
GO

-- $Archive:   //Archive/Pvcsroot/Archive_NLS/Db/Sql/asisp_IMSUpdatePath.sqv  $
-- $Revision:   1.0  $
-- $Date:   Jul 24 2001 16:13:46  $
-- $Author:   Forthman  $
CREATE PROCEDURE asisp_IMSUpdatePath
  @cid ClassID,
  @id  ObjID
AS
  RAISERROR('asisp_IMSUpdatePath: @cid=''%s'', @id=%d', 0, 1, @cid, @id)

  -- Standard TRANSACTION logic
  DECLARE @tcount INT
  SELECT @tcount = @@TRANCOUNT
  IF @tcount = 0
    BEGIN TRAN asisp_IMSUpdatePath
  ELSE
    SAVE TRAN asisp_IMSUpdatePath

  DECLARE @cname NVARCHAR(24)
  DECLARE @sql NVARCHAR(500)
  DECLARE @path NVARCHAR(500)

  EXEC asisp_fullpath @cid, @id, @path OUTPUT

  SELECT @cname = cname FROM obj_class WHERE cid = @cid
  SELECT @sql = "
  UPDATE " + @cname + "_C
    SET _Path = '" + @path + "'
    WHERE cid = '" + @cid + "'
      AND id = " + CONVERT( NVARCHAR(8), @id) + "
  "
  EXEC (@sql)
  


  -- Standard TRANSACTION logic
  IF @tcount = 0
    COMMIT TRAN asisp_IMSUpdatePath

GO

