SET QUOTED_IDENTIFIER  OFF    SET ANSI_NULLS  OFF 
GO

if exists (select * from sysobjects where id = object_id(N'[dbo].[gemsp_processEventtoCL]') and OBJECTPROPERTY(id, N'IsProcedure') = 1)
drop procedure [dbo].[gemsp_processEventtoCL]
GO

CREATE PROCEDURE [gemsp_processEventtoCL] 
		@tbsmclass  NVARCHAR(128)='',  -- contain product;version
		@instanceid NVARCHAR(255)=''  ,
		@probetype NVARCHAR(255)=''  ,
		@probename NVARCHAR(255)=''  ,
		@probeargs NVARCHAR(255)='', 
		@severity NVARCHAR(255)='', 
		@probedesc NVARCHAR(255)='',
		@state NVARCHAR(64)='',
                @timeofevent INT=0
as


--- consider passing disposition and setting if failed


---- must put in transaction logic here ... also need to 
----  take in parm in to return disposition which should record what the transaction id is 
---- that will be built for the generic event that started this process.  
declare @cid ClassID
declare @regid int, @oldregid int 
declare @trid int
declare @timegotten datetime
declare @root NVARCHAR(255), @keyword NVARCHAR(255), @value NVARCHAR(255)
declare @evtid int
declare @go_on tinyint
declare @c int, @i int

/*
the tbsmclass field can come in with a list of instances that we will need to process
this message for.  It will be in the form of 'cname;cname;cname;cname...'  The message
will be posted for each valid class names in that field. 
*/


set @timegotten=getdate()


/* the timeofevent is the number of seconds since epoch, gmt */

--- now figure out if the instanceid has an attribute=value in it 
-- 
if @instanceid is null or @instanceid=''  goto GETOUT

declare @mpv_expr NVARCHAR(64)   /*pulls out pv */
declare @oattr NVARCHAR(64)
declare @ovalue NVARCHAR(64)
declare @error NVARCHAR(128)
declare @h int
set @mpv_expr = '\(.*\)=\(.*\)'  


exec @h = master..xp_regexmatch @mpv_expr, @instanceid , @h OUT, @error OUT
if @h is  null begin
    print ' regexmatch returned null ' 
    set @oattr='instid' 
    set @ovalue=@instanceid   
    end
else begin
    exec master..xp_regexmatcharraycount @h, @c OUT
      if @c = 3	begin
		 	exec master..xp_regexmatcharrayitem @h, 1, @oattr OUTPUT
			exec master..xp_regexmatcharrayitem @h, 2, @ovalue OUTPUT
		end 
      else begin
            print ' number of parms in charraycount is not 3 ' 
          --- this is a test 
      end 
      exec master..xp_regexmatcharrayfree @h
      set @h=null  -- reset to null 

end -- end if found attrib=value with regular expression check

print 'oattr  ' + @oattr
print 'ovalue  ' + @ovalue


if @probedesc is null set @probedesc=''
if @probeargs is null set @probeargs=''


--- select * from CL_Registration
--- delete from CL_Registration where instrId='GenericMessage'
select @regid=null
select @regid=registrationId from CL_Registration where instrId='GenericMessage' AND instrAddress='Local' 
if @regid is null begin
print 'did not find registration id put it in'
--- sp_help CL_Registration
--- sp_help CL_RegistrationInstance

--- select * from sysobjects where name like '
insert into CL_Registration (               -----registrationID,   generated
                                   	instrId, 
				   	instrAddress,
				   	sid)
                       values (  'GenericMessage', --- instrid
				 'Local',  --- instrAddress
				 'sidgeneric-127.0.0.1-123456789-0000000000'   --- don't ask me ask Karl 
				)
select @regid=null

select @@IDENTITY as 'Identity'
set @regid=@@IDENTITY
--- select @regid=registrationId from CL_Registration where instrId='GenericMessage' AND instrAddress='Local' 
end

if @regid = null begin
  print 'regid is still null get out... '
  return 2  
end
else begin
print 'registration id is   ' + cast(@regid as NVARCHAR)
print ' need to create instance ' 
--- now check the registrationinstancetable 
     select @oldregid=@regid
     set @regid=null
     select @regid=registrationId from CL_RegistrationInstance where registrationId=@oldregid 
     if @regid is null or @regid=0 begin
         print 'did not find registration instance'
         --- sp_help CL_Registration
         --- sp_help CL_RegistrationInstance
        set @regid=@oldregid
	insert into CL_RegistrationInstance (               -----registrationID,   generated
					registrationId,
					state, 
					supportBulk,
					supportDelta,
					supportAtWill,
					supportEvents,
					supportMethods)

                       values ( 
				@regid, --- registration 
                                 1,                      --- state
				 0, --- supportBulk
				 0, --- supportDelta                      
				 0, --- supportAtWill
				 1, --- supportEvents
				 0 --- supportMethods
			)

	     end 



end

--- at this point I have a regid


--- here is where we start to loop for each CID in the tbsmclass input field 


--- start loop

declare @tbsmclasscont NVARCHAR(128)

set @tbsmclasscont=@tbsmclass
set @mpv_expr = '\(.*\);\(.*\)'  
set @h=null
set @go_on=1
set @evtid=0
set @trid=null

while @go_on=1
   BEGIN
   exec @h = master..xp_regexmatch @mpv_expr, @tbsmclasscont , @h OUT, @error OUT
   if @h is  null begin
      print ' regexmatch returned null ' 
      set @tbsmclass=@tbsmclasscont
      set @tbsmclasscont=''
      set @go_on=0
    end
   else begin
      exec master..xp_regexmatcharraycount @h, @c OUT
        if @c = 3	begin
		 	exec master..xp_regexmatcharrayitem @h, 1, @tbsmclasscont OUTPUT
			exec master..xp_regexmatcharrayitem @h, 2, @tbsmclass OUTPUT
                	end 
        else begin
              print ' number of parms in charraycount is not 3 ' 
              set @go_on=0
              set
        end 
      exec master..xp_regexmatcharrayfree @h
      set @h=null  -- reset to null 

      end -- end if found attrib=value with regular expression check

      print 'processing class = ' +  @tbsmclass
      ----print 'continue with ' + @tbsmclasscont

      select @cid = null 
      
      --- first go get the cid from the obj_class table 
      
      if @tbsmclass <> '%' begin  
         select @cid=cid from obj_class where cname=@tbsmclass
            if @cid = null begin
            print ' could not find cid for  ' + @tbsmclass
            CONTINUE
         end 
      end
      else begin  --- if it is % then it is a wildcard case
        set @cid='%'
      end 
      



     --- next build the transaction to represent the event, if it has not already been done
     --- sp_help CL_Stage
    if @trid is null begin 
          ---- select * from CL_Stage n  sp_help CL_Stage
          insert into CL_Stage (            ----- trID,      generated
                                   	registrationId,   --- get from previous table 
				   	trType,
				   	trState,
					trTimeReceived,
					trTimeCommitted,
					trEventCount,
					msgTrID,
					msgNumberBegin,
					msgNumberEnd,
					addObjCount,
					delObjCount,
					modObjCount, 
					addLinkCount, 
					delLinkCount,
					evCount       
					 )
                       values (  @regid,  --- regid
				 3,  --- trtype  of 3 means an event
				 2,  --- trState of 1 is commit, 2 is pending
				 @timegotten,   ---	trTimeReceived,
				 0,   ---	trTimeCommitted,
				1,     ---	trEventCount 
                                0,     --- msgTrID
				0,0,0,0,0,0,0,0
			)

          set @trid=null
          select @@IDENTITY as 'Identity'
          set @trid=@@IDENTITY
          if @trid is null begin
          print ' Transaction not found when it should have been ' 
          goto GETOUT
     end 
     
end 


--- CL_StageEvData

     set @root='event:likeid1'
     set @keyword='class'
     set @value=@cid

---- select * from sp_help CL_Stage
     insert into CL_StageEvData (trId, evDataId, root, keyword, value) 
       values(@trid, @evtid, @root, @keyword, @value  )


     if @oattr='instid' begin
          set @root='event:likeid1'
          set @keyword=@oattr
          set @value=@ovalue

          insert into CL_StageEvData (trId, evDataId, root, keyword, value) 
                 values(@trid, @evtid, @root, @keyword, @value  )
     end
     else begin
          set @root='event:likeid1:attr1'
          set @keyword=@oattr
          set @value=@ovalue

          insert into CL_StageEvData (trId, evDataId, root, keyword, value) 
            values(@trid, @evtid, @root, @keyword, @value  )
     end 

     set @root='event'
     set @keyword='type'
     set @value=@probename

     insert into CL_StageEvData (trId, evDataId, root, keyword, value) 
       values(@trid, @evtid, @root, @keyword, @value  )


     set @root='event'
     set @keyword='context'
     set @value=@probeargs

     insert into CL_StageEvData (trId, evDataId, root, keyword, value) 
       values(@trid, @evtid, @root, @keyword, @value  )


     set @root='event:tbsm1'
     set @keyword='type'
     set @value=@probetype

     insert into CL_StageEvData (trId, evDataId, root, keyword, value) 
       values(@trid, @evtid, @root, @keyword, @value  )


     set @root='event:tbsm1'
     set @keyword='desc'
     set @value=@probedesc

     insert into CL_StageEvData (trId, evDataId, root, keyword, value) 
       values(@trid, @evtid, @root, @keyword, @value  )



     set @root='event:tbsm1'
     set @keyword='state'
     set @value=@state

     insert into CL_StageEvData (trId, evDataId, root, keyword, value) 
       values(@trid, @evtid, @root, @keyword, @value  )



     set @root='event:tecstatus1'
     set @keyword='severity'
     set @value=@severity

     insert into CL_StageEvData (trId, evDataId, root, keyword, value) 
            values(@trid, @evtid, @root, @keyword, @value  )
            
     if @timeofevent<>0 and @timeofevent is not null  begin

        set @root='event'
        set @keyword='time'
        set @value=convert(nvarchar,@timeofevent)

        insert into CL_StageEvData (trId, evDataId, root, keyword, value) 
            values(@trid, @evtid, @root, @keyword, @value  )
     end 

            
     set @evtid=@evtid+1
       
END  --- end of the big while processing each class identifier

--- now commit the transaction ... 
update CL_Stage set trState=1, trTimeCommitted=getdate() where  trTimeReceived=@timegotten and registrationId=@regid

--- now process it 
exec cl_processNextTrans @trid


GETOUT:



GO
SET QUOTED_IDENTIFIER  OFF    SET ANSI_NULLS  ON 
GO

